| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
concurrency::IGraphVisitor Class Referenceabstract

`#include <src/IGraphVisitor.h>`

Inheritance diagram for concurrency::IGraphVisitor:
[legend]

## Public Member Functions
virtual | ~IGraphVisitor ()
virtual bool | visitEnter (DecisionNode &) const =0
virtual bool | visit (DecisionNode &)=0
virtual bool | visitLeave (DecisionNode &) const =0
virtual bool | visitEnter (AlgorithmNode &) const =0
virtual bool | visit (AlgorithmNode &node)=0
virtual void | reset ()=0

## Public Attributes
int | m_nodesSucceeded
int | m_slotNum

## Detailed Description

Definition at line 9 of file IGraphVisitor.h.

## Constructor & Destructor Documentation

virtual concurrency::IGraphVisitor::~IGraphVisitor | ( |  | ) |
| inline virtual

Definition at line 11 of file IGraphVisitor.h.

11 {};

## Member Function Documentation

virtual void concurrency::IGraphVisitor::reset | ( |  | ) |
| pure virtual

Implemented in concurrency::RankerByDataRealmEccentricity, concurrency::RankerByEccentricity, concurrency::RankerByTiming, concurrency::RankerByCummulativeOutDegree, concurrency::RankerByProductConsumption, concurrency::Trigger, and concurrency::RunSimulator.

virtual bool concurrency::IGraphVisitor::visit | ( | DecisionNode & |  | ) |
| pure virtual

Implemented in concurrency::RankerByDataRealmEccentricity, concurrency::RankerByEccentricity, concurrency::RankerByTiming, concurrency::RankerByCummulativeOutDegree, concurrency::RankerByProductConsumption, concurrency::Trigger, and concurrency::RunSimulator.

virtual bool concurrency::IGraphVisitor::visit | ( | AlgorithmNode & | node | ) |
| pure virtual

Implemented in concurrency::RankerByDataRealmEccentricity, concurrency::RankerByEccentricity, concurrency::RankerByTiming, concurrency::RankerByCummulativeOutDegree, concurrency::RankerByProductConsumption, concurrency::Trigger, and concurrency::RunSimulator.

virtual bool concurrency::IGraphVisitor::visitEnter | ( | DecisionNode & |  | ) | const
| pure virtual

Implemented in concurrency::RankerByDataRealmEccentricity, concurrency::RankerByEccentricity, concurrency::RankerByTiming, concurrency::RankerByCummulativeOutDegree, concurrency::RankerByProductConsumption, concurrency::Trigger, and concurrency::RunSimulator.

virtual bool concurrency::IGraphVisitor::visitEnter | ( | AlgorithmNode & |  | ) | const
| pure virtual

Implemented in concurrency::RankerByDataRealmEccentricity, concurrency::RankerByEccentricity, concurrency::RankerByTiming, concurrency::RankerByCummulativeOutDegree, concurrency::RankerByProductConsumption, concurrency::Trigger, and concurrency::RunSimulator.

virtual bool concurrency::IGraphVisitor::visitLeave | ( | DecisionNode & |  | ) | const
| pure virtual

Implemented in concurrency::RankerByDataRealmEccentricity, concurrency::RankerByEccentricity, concurrency::RankerByTiming, concurrency::RankerByCummulativeOutDegree, concurrency::RankerByProductConsumption, concurrency::Trigger, and concurrency::RunSimulator.

## Member Data Documentation

int concurrency::IGraphVisitor::m_nodesSucceeded

Definition at line 23 of file IGraphVisitor.h.

int concurrency::IGraphVisitor::m_slotNum

Definition at line 24 of file IGraphVisitor.h.

The documentation for this class was generated from the following file:

- GaudiHive/src/IGraphVisitor.h